Name:		qmidictl
Version:	0.9.10
Release:	%mkrel 1
Summary:	A MIDI Remote Controller via UDP/IP Multicast
License:	GPLv2+
Group:		Sound
URL:		https://qmidictl.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qmidictl/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils

%description
QmidiCtl is a MIDI remote controller application that sends MIDI
data over the network, using UDP/IP multicast.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-Osso-Type" \
  --remove-key="Version" \
  --remove-key="Encoding" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
%{_datadir}/metainfo/org.rncbc.qmidictl.metainfo.xml

%changelog
* Wed Sep 06 2023 tex - 0.9.10-1pclos2023
- new version: 0.9.10
